Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HashDatabase..::.Compare Property
HashDatabase Class See Also Send Feedback

The Hash key comparison function. The comparison function is called whenever it is necessary to compare a key specified by the application with a key currently stored in the tree.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public EntryComparisonDelegate Compare { get; private set; }

Visual Basic (Declaration)
    Public Property Compare As EntryComparisonDelegate

Visual C++
    public:
    property EntryComparisonDelegate^ Compare {
    	EntryComparisonDelegate^ get ();
    	void set (EntryComparisonDelegate^ value);
    }

# See Also

HashDatabase Class
BerkeleyDB Namespace